---
comments: false
---

# Workflow

- [Automatic issue closing](../user/project/issues/automatic_issue_closing.md)
- [Change your time zone](timezone.md)
- [Cycle Analytics](../user/project/cycle_analytics.md)
- [Description templates](../user/project/description_templates.md)
- [Feature branch workflow](workflow.md)
- [GitLab Flow](gitlab_flow.md)
- [Groups](../user/group/index.md)
- Issues - The GitLab Issue Tracker is an advanced and complete tool for
  tracking the evolution of a new idea or the process of solving a problem.
  - [Exporting Issues](https://docs.gitlab.com/ee/user/project/issues/csv_export.html) **[STARTER]** Export issues as a CSV, emailed as an attachment.
  - [Confidential issues](../user/project/issues/confidential_issues.md)
  - [Due date for issues](../user/project/issues/due_dates.md)
- [Issue Board](../user/project/issue_board.md)
- [Keyboard shortcuts](shortcuts.md)
- [File finder](file_finder.md)
- [File lock](https://docs.gitlab.com/ee/user/project/file_lock.html) **[PREMIUM]**
- [Labels](../user/project/labels.md)
- [Issue weight](https://docs.gitlab.com/ee/workflow/issue_weight.html) **[STARTER]**
- [Notification emails](notifications.md)
- [Projects](../user/project/index.md)
- [Project forking workflow](forking_workflow.md)
- [Project users](../user/project/members/index.md)
- [Protected branches](../user/project/protected_branches.md)
- [Protected tags](../user/project/protected_tags.md)
- [Quick Actions](../user/project/quick_actions.md)
- [Sharing projects with groups](../user/project/members/share_project_with_groups.md)
- [Time tracking](time_tracking.md)
- [Web Editor](../user/project/repository/web_editor.md)
- [Releases](releases.md)
- [Milestones](../user/project/milestones/index.md)
- [Merge Requests](../user/project/merge_requests/index.md)
  - [Authorization for merge requests](../user/project/merge_requests/authorization_for_merge_requests.md)
  - [Cherry-pick changes](../user/project/merge_requests/cherry_pick_changes.md)
  - [Merge when pipeline succeeds](../user/project/merge_requests/merge_when_pipeline_succeeds.md)
  - [Resolve discussion comments in merge requests reviews](../user/discussions/index.md)
  - [Resolve merge conflicts in the UI](../user/project/merge_requests/resolve_conflicts.md)
  - [Revert changes in the UI](../user/project/merge_requests/revert_changes.md)
  - [Merge requests versions](../user/project/merge_requests/versions.md)
  - ["Work In Progress" merge requests](../user/project/merge_requests/work_in_progress_merge_requests.md)
  - [Fast-forward merge requests](../user/project/merge_requests/fast_forward_merge.md)
  - [Merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/merge_request_approvals.html) **[STARTER]**
- [Repository mirroring](repository_mirroring.md) **[STARTER]**
- [Service Desk](https://docs.gitlab.com/ee/user/project/service_desk.html) **[PREMIUM]**
- [Manage large binaries with Git LFS](lfs/manage_large_binaries_with_git_lfs.md)
- [Importing from SVN, GitHub, Bitbucket, etc](importing/README.md)
- [Todos](todos.md)
- [Snippets](../user/snippets.md)
- [Subgroups](../user/group/subgroups/index.md)
