# frozen_string_literal: true

require 'spec_helper'

describe Gitlab::GithubImport::Stage::ImportLfsObjectsWorker do
  let(:project) { create(:project) }
  let(:worker) { described_class.new }

  describe '#import' do
    it 'imports all the lfs objects' do
      importer = double(:importer)
      waiter = Gitlab::JobWaiter.new(2, '123')

      expect(Gitlab::GithubImport::Importer::LfsObjectsImporter)
        .to receive(:new)
        .with(project, nil)
        .and_return(importer)

      expect(importer)
        .to receive(:execute)
        .and_return(waiter)

      expect(Gitlab::GithubImport::AdvanceStageWorker)
        .to receive(:perform_async)
        .with(project.id, { '123' => 2 }, :finish)

      worker.import(project)
    end
  end
end
